<!-- save this file and open it in your browser -->
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <script src="https://ssvg.web.cern.ch/distfiles/js/ssvg-engine-1.1.js"></script>
    <script>
        let engine;
        /**
          @brief loading function
          @details creates an ssvg engine wrapping svg document, will load the engine
          on all `state` tag found.
          returned object implements updatesState/getState/setState methods
         */
        function init() {
            if (!engine) {
                engine = new window.ssvg.SSVGEngine(document.getElementById('svg'));
                /* sync input with ssvg (browser may not reset input initial state on refresh) */
                const input = document.getElementById('input');
                engine.updateState({ range: input.value });
            }
        }
    </script>
  </head>
  <body onload="init()">
    <!-- inject values from the input to the SSVG document -->
    <input id="input" type="range" value="20" min="0" max="50" oninput="engine?.updateState({ range: event.target.value })" />
    <svg id="svg" version="1.1" width="100%" height="100%" viewBox="0 0 100 100" style="overflow: visible;">
      <state>
        <property name="range" type="number" min="0" max="50" initial="0">
          <relation query-selector="circle" attribute-name="r" from="10" to="50"></relation>
        </property>
      </state>
      <circle cx="50" cy="50" r="10%" fill="#ffd7a0" stroke="black" stroke-width="2"></circle>
    </svg>
  </body>
</html>